Atk::EditableText Class Reference

The ATK interface implemented by components containing user-editable text content. More...

`#include <atkmm/editabletext.h>`

Inheritance diagram for Atk::EditableText:
[legend]

## Public Member Functions

| EditableText (EditableText && src) noexcept
EditableText & | operator= (EditableText && src) noexcept
| ~EditableText () noexcept override
AtkEditableText * | gobj ()
| Provides access to the underlying C GObject.
const AtkEditableText * | gobj () const
| Provides access to the underlying C GObject.
bool | set_run_attributes (const AttributeSet & attrib_set, int start_offset, int end_offset)
| Sets the attributes for a specified range.
void | set_text_contents (const Glib::ustring &string)
| Set text contents of text.
void | insert_text (const Glib::ustring &string, int length, int & position)
| Insert text at a given position.
void | copy_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard.
void | cut_text (int start_pos, int end_pos)
| Copy text from start_pos up to, but not including end_pos to the clipboard and then delete from the widget.
void | delete_text (int start_pos, int end_pos)
| Delete text start_pos up to, but not including end_pos.
void | paste_text (int position)
| Paste text from clipboard to specified position.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

| EditableText ()
| You should derive from this class to use it.
virtual bool | set_run_attributes_vfunc (AtkAttributeSet * attrib_set, int start_offset, int end_offset)
virtual void | set_text_contents_vfunc (const Glib::ustring &string)
virtual void | insert_text_vfunc (const Glib::ustring &string, int length, int & position)
virtual void | copy_text_vfunc (int start_pos, int end_pos)
virtual void | cut_text_vfunc (int start_pos, int end_pos)
virtual void | delete_text_vfunc (int start_pos, int end_pos)
virtual void | paste_text_vfunc (int position)

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Atk::EditableText > | wrap (AtkEditableText * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface implemented by components containing user-editable text content.

This should be implemented by UI components which contain text which the user can edit, via the Atk::Object corresponding to that component (see Atk::Object).

An object which implements EditableText shall also implement Atk::Text.

## Constructor & Destructor Documentation

## EditableText() [1/2]

Atk::EditableText::EditableText | ( |  | ) |

protected

You should derive from this class to use it.

## EditableText() [2/2]

Atk::EditableText::EditableText | ( | EditableText && | src | ) |

noexcept

## ~EditableText()

Atk::EditableText::~EditableText | ( |  | ) |

override noexcept

## Member Function Documentation

## add_interface()

void Atk::EditableText::add_interface | ( | GType | gtype_implementer | ) |

static

## copy_text()

void Atk::EditableText::copy_text | ( | int | start_pos,
|  | int | end_pos )

Copy text from start_pos up to, but not including end_pos to the clipboard.

Parameters

  start_pos | Start position.
  end_pos | End position.

## copy_text_vfunc()

virtual void Atk::EditableText::copy_text_vfunc | ( | int | start_pos,
|  | int | end_pos )

protected virtual

## cut_text()

void Atk::EditableText::cut_text | ( | int | start_pos,
|  | int | end_pos )

Copy text from start_pos up to, but not including end_pos to the clipboard and then delete from the widget.

Parameters

  start_pos | Start position.
  end_pos | End position.

## cut_text_vfunc()

virtual void Atk::EditableText::cut_text_vfunc | ( | int | start_pos,
|  | int | end_pos )

protected virtual

## delete_text()

void Atk::EditableText::delete_text | ( | int | start_pos,
|  | int | end_pos )

Delete text start_pos up to, but not including end_pos.

Parameters

  start_pos | Start position.
  end_pos | End position.

## delete_text_vfunc()

virtual void Atk::EditableText::delete_text_vfunc | ( | int | start_pos,
|  | int | end_pos )

protected virtual

## get_type()

GType Atk::EditableText::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## gobj() [1/2]

AtkEditableText * Atk::EditableText::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const AtkEditableText * Atk::EditableText::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## insert_text()

void Atk::EditableText::insert_text | ( | const Glib::ustring & | string,
|  | int | length,
|  | int & | position )

Insert text at a given position.

Parameters

  string | The text to insert.
  length | The length of text to insert, in bytes.
  position | The caller initializes this to the position at which to insert the text. After the call it points at the position after the newly inserted text.

## insert_text_vfunc()

virtual void Atk::EditableText::insert_text_vfunc | ( | const Glib::ustring & | string,
|  | int | length,
|  | int & | position )

protected virtual

## operator=()

EditableText & Atk::EditableText::operator= | ( | EditableText && | src | ) |

noexcept

## paste_text()

void Atk::EditableText::paste_text | ( | int | position | ) |

Paste text from clipboard to specified position.

Parameters

  position | Position to paste.

## paste_text_vfunc()

virtual void Atk::EditableText::paste_text_vfunc | ( | int | position | ) |

protected virtual

## set_run_attributes()

bool Atk::EditableText::set_run_attributes | ( | const AttributeSet & | attrib_set,
|  | int | start_offset,
|  | int | end_offset )

Sets the attributes for a specified range.

See the ATK_ATTRIBUTE macros (such as Atk::ATTRIBUTE_LEFT_MARGIN) for examples of attributes that can be set. Note that other attributes that do not have corresponding ATK_ATTRIBUTE macros may also be set for certain text widgets.

Parameters

  attrib_set | An Atk::AttributeSet.
  start_offset | Start of range in which to set attributes.
  end_offset | End of range in which to set attributes.

Returns
  true if attributes successfully set for the specified range, otherwise false.

## set_run_attributes_vfunc()

virtual bool Atk::EditableText::set_run_attributes_vfunc | ( | AtkAttributeSet * | attrib_set,
|  | int | start_offset,
|  | int | end_offset )

protected virtual

## set_text_contents()

void Atk::EditableText::set_text_contents | ( | const Glib::ustring & | string | ) |

Set text contents of text.

Parameters

  string | String to set for text contents of text.

## set_text_contents_vfunc()

virtual void Atk::EditableText::set_text_contents_vfunc | ( | const Glib::ustring & | string | ) |

protected virtual

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Atk::EditableText > wrap | ( | AtkEditableText * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.